# Product

## Retrieve product info

> Extract information about the products you configured for your account.

```json
{"openapi":"3.0.0","info":{"title":"API REST Documentation","version":"6.0-oas3"},"servers":[{"url":"https://api.2checkout.com/rest/6.0"}],"paths":{"/products/":{"get":{"tags":["Product"],"summary":"Retrieve product info","description":"Extract information about the products you configured for your account.","parameters":[{"name":"Accept","in":"header","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"application/json","enum":["application/json"]}},{"name":"X-Avangate-Authentication","in":"header","description":"Authentication header","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"Name","in":"query","description":"Product name. Can be NULL.","required":false,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"Types","in":"query","description":"Array of the values representing the type of products. Possible values: REGULAR or BUNDLE. Leave empty to have all product types returned to the search.Can be NULL. If NULL, 2Checkout returns both regular and bundle products.","required":false,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"Enabled","in":"query","description":"True or false. Can be NULL.","required":false,"style":"form","explode":true,"schema":{"type":"boolean"}},{"name":"ReviewStatus","in":"query","description":"Can be 'Does not exist', 'Pending', 'In Review', 'Passed' or 'Rejected'.","required":false,"style":"form","explode":true,"schema":{"type":"boolean"}},{"name":"GroupName","in":"query","description":"The name of the group that the product is associated with. Can be NULL.","required":false,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"Limit","in":"query","description":"Number of results (products) displayed per page. Default value is 10. Can be NULL.","required":false,"style":"form","explode":true,"schema":{"type":"number"}},{"name":"Page","in":"query","description":"A specific page of search results. Default value is 1. Can be NULL.","required":false,"style":"form","explode":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductResponse"}}}},"400":{"description":"Invalid data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_400"}}}}}}}},"components":{"schemas":{"ProductResponse":{"allOf":[{"$ref":"#/components/schemas/Product"}]},"Product":{"type":"object","properties":{"AvangateId":{"type":"integer","description":"Unique, system-generated product ID (read-only)","nullable":true},"ProductCode":{"type":"string","description":"The unique product code you can define for each of your offerings"},"ExternalReference":{"type":"string","description":"External reference set when defining the product"},"ProductType":{"type":"string","enum":["REGULAR","BUNDLE"],"default":"REGULAR","description":"The type of the product (REGULAR or BUNDLE)"},"ProductName":{"type":"string","description":"The name of the product"},"ProductVersion":{"type":"string","description":"The product version number"},"ProductGroup":{"$ref":"#/components/schemas/Product_ProductGroup"},"PurchaseMultipleUnits":{"type":"boolean","description":"Customers can purchase multiple units (when set TRUE) or only one unit (when set FALSE) of this product","default":true},"ShippingClass":{"$ref":"#/components/schemas/products_ShippingClass"},"GiftOption":{"type":"boolean","default":false,"description":"True or false depending on whether the product can be gifted or not"},"ShortDescription":{"type":"string","default":"","description":"Product's short description"},"LongDescription":{"type":"string","default":"","description":"Product's long description"},"SystemRequirements":{"type":"string","default":"","description":"System requirements"},"ProductCategory":{"oneOf":[{"type":"string"},{"type":"boolean","default":false}],"description":"Product's category name"},"Platforms":{"type":"array","items":{"$ref":"#/components/schemas/products_Platforms"}},"ProductImages":{"type":"array","readOnly":true,"items":{"$ref":"#/components/schemas/products_ProductImages"}},"TrialUrl":{"type":"string","default":"","description":"The URL where shoppers can download trial software from"},"TrialDescription":{"type":"string","default":"","description":"Descriptive text entered for trials"},"Tangible":{"type":"boolean","description":"TRUE - for physical products, FALSE - for digital products"},"TangibleDetails":{"readOnly":true,"allOf":[{"$ref":"#/components/schemas/Product_TangibleDetails"}]},"Enabled":{"type":"boolean","default":false,"description":"True/false depending on whether the products are active or disabled"},"ReviewProductUrl":{"type":"boolean","default":"","description":"The URL where the product can be reviewed before approval. Required if the \"Enabled\" property is sent as TRUE and the product needs to be reviewed by our internal teams before activation."},"ReviewAdditionalDetails":{"type":"boolean","default":"","description":"Additional information can be added to access the review of the product. Parameter is optional."},"AdditionalFields":{"type":"array","items":{"$ref":"#/components/schemas/products_AdditionalFields"}},"Translations":{"type":"array","items":{"$ref":"#/components/schemas/products_Translations"}},"PricingConfigurations":{"type":"array","items":{"$ref":"#/components/schemas/products_PricingConfigurations"}},"BundleProducts":{"readOnly":true,"type":"array","items":{"$ref":"#/components/schemas/product_BundledProducts"}},"Fulfillment":{"type":"string","enum":["NO_DELIVERY","INHERIT","BY_AVANGATE","BY_VENDOR"],"description":"Possible values BY_AVANGATE, BY_VENDOR, NO_DELIVERY"},"Prices":{"type":"array","description":"to be used when Pricing Configurations are not available for your account","items":{"$ref":"#/components/schemas/Product_PricingConfiguration_Price"}},"GeneratesSubscription":{"type":"boolean","default":false,"description":"TRUE or FALSE depending on whether you set the product to generate subscriptions or not"},"SubscriptionInformation":{"$ref":"#/components/schemas/products_SubscriptionInformation"},"FulfillmentInformation":{"$ref":"#/components/schemas/products_FulfillmentInformation"}}},"Product_ProductGroup":{"type":"object","properties":{"Code":{"type":"string","nullable":true},"Description":{"type":"string"},"Name":{"type":"string"},"TemplateName":{"type":"string"}}},"products_ShippingClass":{"type":"object","properties":{"Amount":{"type":"string","description":"The shipping costs"},"ApplyTo":{"type":"string","description":"Possible values • PRODUCT • ORDER","nullable":true},"Currency":{"type":"string","description":"The currency ISO code used for shipping costs - ISO 4217."},"Name":{"type":"string","description":"The name of the shipping class"},"Type":{"type":"string","description":"Possible values • FIXED • PERCENT"}}},"products_Platforms":{"required":["Category","IdPlatform","PlatformName"],"type":"object","properties":{"Category":{"type":"string","description":"Platform category per product configuration."},"IdPlatform":{"type":"string"},"PlatformName":{"type":"string","description":"The label of the platform per the product configuration."}}},"products_ProductImages":{"type":"object","properties":{"Default":{"type":"boolean","description":"True or False depending on whether you set the image stored at the address in the URL parameter as default or not."},"URL":{"type":"string","description":"The location of the image on the 2Checkout system."}}},"Product_TangibleDetails":{"type":"object","description":"Relevant only for tangible products; contains physical product setup information","properties":{"UnitDetails":{"type":"array","items":{"$ref":"#/components/schemas/Product_TangibleDetails_UnitDetails"}},"Fee":{"type":"array","items":{"$ref":"#/components/schemas/Product_TangibleDetails_HandlingFee"}}}},"Product_TangibleDetails_UnitDetails":{"type":"object","properties":{"Type":{"type":"string","description":"Product physical configuration type"},"Amount":{"type":"number","format":"float","description":"Product's tangible configuration type value"}}},"Product_TangibleDetails_HandlingFee":{"type":"object","properties":{"Currency":{"type":"string","description":"Currency of the handling fee"},"Amount":{"type":"number","format":"float","description":"Handling fee amount defined on the tangible product"}}},"products_AdditionalFields":{"type":"object","properties":{"Code":{"type":"string","description":"The code of the additional field assigned to a product."},"Enabled":{"type":"boolean","description":"True or false depending on whether the assigned product field is enabled or not."},"Label":{"type":"string","description":"The name of the additional field assigned to a product."},"Required":{"type":"boolean","description":"True or false depending on whether the assigned product field is required or not."},"URLParameter":{"type":"string","description":"The value of the system generated URL parameter for the product field that can be used in Buy Links."}}},"products_Translations":{"type":"object","properties":{"Description":{"type":"string","description":"Localized product short description."},"Language":{"type":"string","description":"ISO 639-1 two-letter code."},"LongDescription":{"type":"string","description":"The translated long description in the language corresponding to the Translation object."},"Name":{"type":"string","description":"Localized product name."},"SystemRequirements":{"type":"string","description":"Localized system requirements.","nullable":true},"TrialDescription":{"type":"string","nullable":true},"TrialUrl":{"type":"string","description":"The trial URL for users speaking the language corresponding to the Translation object.","nullable":true}}},"products_PricingConfigurations":{"type":"object","properties":{"BillingCountries":{"type":"array","description":"ISO codes of the countries assigned to the pricing configuration. Empty unless specific countries are assigned to a pricing configuration.","items":{"type":"string"}},"Code":{"type":"string","description":"System-generated identifier."},"Default":{"type":"boolean","description":"True for the default pricing configuration"},"DefaultCurrency":{"type":"string","description":"The ISO code of the default currency for the pricing configuration"},"Name":{"type":"string","description":"Pricing configuration name"},"PriceOptions":{"type":"array","items":{"$ref":"#/components/schemas/products_PriceOptions"}},"PriceType":{"type":"string","description":"Possible values - NET / GROSS"},"Prices":{"type":"array","items":{"$ref":"#/components/schemas/Product_PricingConfiguration_Price"}},"PricingSchema":{"type":"string","description":"DYNAMIC – With a base price or FLAT – Without a base price"}}},"products_PriceOptions":{"required":["Code","Required"],"type":"object","properties":{"Code":{"type":"string","description":"Price option identifier."},"Required":{"type":"boolean","description":"True or False depending on whether you want to make it mandatory for shoppers to select the price option during the purchase process."}}},"Product_PricingConfiguration_Price":{"required":["Amount","Currency","MaxQuantity","MinQuantity","OptionCodes"],"type":"object","properties":{"Amount":{"type":"number","description":"The price of the product."},"Currency":{"type":"string","description":"ISO code of the currency for the product price."},"MaxQuantity":{"type":"string","description":"The maximum quantity of volume discounts. Default is 99999."},"MinQuantity":{"type":"string","description":"The minimum quantity of volume discounts. Default is 1."},"OptionCodes":{"type":"array","items":{}}}},"product_BundledProducts":{"type":"object","properties":{"ProductId":{"type":"string","description":"Unique, system-generated product ID"},"ProductCode":{"type":"string","description":"Editable product code that you control"}}},"products_SubscriptionInformation":{"type":"object","properties":{"BillingCycle":{"type":"string"},"BillingCycleUnits":{"type":"string","description":"The units of the billing cycle - M for months or D for days"},"BundleRenewalManagement":{"type":"string","description":"The number of subscription billing cycle units (months or days).  Possible values - 0 (zero represents a one-time fee) Days 7 8 9 10 11 12 13 14 Months 1 2 3 6 12 15 18 24 36 (max)"},"ContractPeriod":{"$ref":"#/components/schemas/products_SubscriptionInformation_ContractPeriod"},"DeprecatedProducts":{"type":"array","items":{"type":"string","description":"Deprecated products."}},"GracePeriod":{"$ref":"#/components/schemas/products_SubscriptionInformation_GracePeriod"},"IsOneTimeFee":{"type":"boolean","description":"True or False depending on whether the subscription is evergreen or not."},"RenewalEmails":{"$ref":"#/components/schemas/products_SubscriptionInformation_RenewalEmails"},"UsageBilling":{"type":"number"}}},"products_SubscriptionInformation_ContractPeriod":{"type":"object","properties":{"Action":{"type":"string","description":"The action performed after the subscription expires. Possible values CANCEL | RESTART"},"EmailsDuringContract":{"type":"boolean","description":"True or False depending on whether you suppress renewal notification emails throughout the duration of the contract or not."},"IsUnlimited":{"type":"boolean","description":"This flag is true if the contract is for an unlimited period"},"Period":{"type":"number","description":"The contract period in months or days. -1 for unlimited contracts."},"PeriodUnits":{"type":"string","nullable":true,"description":"The contract period units - days | months"}}},"products_SubscriptionInformation_GracePeriod":{"type":"object","properties":{"IsUnlimited":{"type":"boolean","description":"TRUE or FALSE depending on whether you set the grace period to unlimited or not."},"Period":{"type":"string","description":"Number of days set for the grace period."},"PeriodUnits":{"type":"string","description":"D - Days."},"Type":{"type":"string","description":"CUSTOM – you configured grace period setting at product level. GLOBAL – global grace period settings apply."}}},"products_SubscriptionInformation_RenewalEmails":{"type":"object","properties":{"Settings":{"$ref":"#/components/schemas/products_SubscriptionInformation_RenewalEmails_Settings"},"Type":{"type":"string","description":"GLOBAL - Send emails according to the global renewal notification settings. CUSTOM – per product renewal notification settings"}}},"products_SubscriptionInformation_RenewalEmails_Settings":{"type":"object","properties":{"AutomaticRenewal":{"$ref":"#/components/schemas/products_SubscriptionInformation_RenewalEmails_Settings_AutomaticRenewal"},"ManualRenewal":{"$ref":"#/components/schemas/products_SubscriptionInformation_RenewalEmails_Settings_AutomaticRenewal"}}},"products_SubscriptionInformation_RenewalEmails_Settings_AutomaticRenewal":{"type":"object","properties":{"After15Days":{"type":"boolean","description":"True or False."},"After5Days":{"type":"boolean","description":"True or False."},"Before15Days":{"type":"boolean","description":"True or False."},"Before1Day":{"type":"boolean","description":"True or False."},"Before30Days":{"type":"boolean","description":"True or False."},"Before7Days":{"type":"boolean","description":"True or False."},"OnExpirationDate":{"type":"boolean","description":"True or False."}}},"products_FulfillmentInformation":{"type":"object","properties":{"AdditionalInformationByEmail":{"type":"string","description":"The text you set up in the Additional fulfillment information - by email area."},"AdditionalInformationEmailTranslations":{"type":"array","items":{"$ref":"#/components/schemas/products_FulfillmentInformation_AdditionalInformationEmailTranslations"}},"AdditionalThankYouPage":{"type":"string","description":"The text you set up in the Additional fulfillment information - \"Thank you\" page area."},"AdditionalThankYouPageTranslations":{"type":"array","items":{"$ref":"#/components/schemas/products_FulfillmentInformation_AdditionalInformationEmailTranslations"}},"BackupMedia":{"$ref":"#/components/schemas/products_FulfillmentInformation_BackupMedia"},"CodeList":{"$ref":"#/components/schemas/products_FulfillmentInformation_BackupMedia"},"IsBackupMedia":{"type":"boolean","description":"True or False. Depending on whether you configure the delivery of backup media or not."},"IsDisplayInPartnersCPanel":{"type":"boolean","description":"True or False. Depending on whether you share access to the product file with your channel partners or not."},"IsDownloadInsuranceService":{"type":"boolean","description":"True or False. Depending on whether you enable the Download Insurance Service or not, for a product for which you configure a product file."},"IsDownloadLink":{"type":"boolean","description":"True or False. Depending on whether you configure the delivery of a product file or not."},"IsElectronicCode":{"type":"boolean","description":"True or False. Depending on whether you configure the delivery of keys/codes for the product or not."},"IsInstantDeliveryThankYouPage":{"type":"boolean"},"IsStartAfterFulfillment":{"type":"boolean","description":"True or False. Depending on whether you want the subscription lifetime to start afther the completion of the fulfillment process or not."},"ProductFile":{"$ref":"#/components/schemas/products_FulfillmentInformation_ProductFile"}}},"products_FulfillmentInformation_AdditionalInformationEmailTranslations":{"type":"object","properties":{"Description":{"type":"string","description":"Array of localized Additional fulfillment information - \"Thank you\" page texts."},"Language":{"type":"string"},"Name":{"type":"string","nullable":true}}},"products_FulfillmentInformation_BackupMedia":{"type":"object","properties":{"Code":{"type":"string","description":"The unique code list identifier."},"Name":{"type":"string","description":"Name of the code list."},"Type":{"type":"string","description":"Code list type Static or Dynamic"}}},"products_FulfillmentInformation_ProductFile":{"type":"object","properties":{"Code":{"type":"string","description":"Unique product file identifier."},"File":{"type":"string","description":"Name of the product file."},"LastUpdate":{"type":"string","description":"YYYY-MM-DD HH-MM-SS. Date time stamp when you last updated the file."},"Name":{"type":"string","description":"Display name."},"Size":{"type":"string","description":"File size."},"Type":{"type":"string","description":"File type."},"Version":{"type":"string","description":"File version."}}},"inline_response_400":{"type":"object","properties":{"error_code":{"type":"string"},"message":{"type":"string"}}}}}}
```

## Add a product

> Use the Product object to create/add, update/edit and retrieve products for your account. You cannot set a group name when creating a new product. You can control:\
> \* Product information\
> \* Pricing\
> \* Subscription plan settings and renewal configuration\
> \* Subscription plan recurring billing\
> \* Fulfillment\
> \* Shipping classes\
> \* Localization

```json
{"openapi":"3.0.0","info":{"title":"API REST Documentation","version":"6.0-oas3"},"servers":[{"url":"https://api.2checkout.com/rest/6.0"}],"paths":{"/products/":{"post":{"tags":["Product"],"summary":"Add a product","description":"Use the Product object to create/add, update/edit and retrieve products for your account. You cannot set a group name when creating a new product. You can control:\n* Product information\n* Pricing\n* Subscription plan settings and renewal configuration\n* Subscription plan recurring billing\n* Fulfillment\n* Shipping classes\n* Localization","parameters":[{"name":"X-Avangate-Authentication","in":"header","description":"Authentication header","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"Accept","in":"header","required":true,"style":"simple","explode":false,"schema":{"type":"string","enum":["application/json"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateProductRequest"}}}},"responses":{"201":{"description":"Created"},"400":{"description":"Invalid data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_400"}}}}}}}},"components":{"schemas":{"CreateProductRequest":{"allOf":[{"$ref":"#/components/schemas/Product"}],"required":["ProductCode","ProductName","PricingConfigurations"]},"Product":{"type":"object","properties":{"AvangateId":{"type":"integer","description":"Unique, system-generated product ID (read-only)","nullable":true},"ProductCode":{"type":"string","description":"The unique product code you can define for each of your offerings"},"ExternalReference":{"type":"string","description":"External reference set when defining the product"},"ProductType":{"type":"string","enum":["REGULAR","BUNDLE"],"default":"REGULAR","description":"The type of the product (REGULAR or BUNDLE)"},"ProductName":{"type":"string","description":"The name of the product"},"ProductVersion":{"type":"string","description":"The product version number"},"ProductGroup":{"$ref":"#/components/schemas/Product_ProductGroup"},"PurchaseMultipleUnits":{"type":"boolean","description":"Customers can purchase multiple units (when set TRUE) or only one unit (when set FALSE) of this product","default":true},"ShippingClass":{"$ref":"#/components/schemas/products_ShippingClass"},"GiftOption":{"type":"boolean","default":false,"description":"True or false depending on whether the product can be gifted or not"},"ShortDescription":{"type":"string","default":"","description":"Product's short description"},"LongDescription":{"type":"string","default":"","description":"Product's long description"},"SystemRequirements":{"type":"string","default":"","description":"System requirements"},"ProductCategory":{"oneOf":[{"type":"string"},{"type":"boolean","default":false}],"description":"Product's category name"},"Platforms":{"type":"array","items":{"$ref":"#/components/schemas/products_Platforms"}},"ProductImages":{"type":"array","readOnly":true,"items":{"$ref":"#/components/schemas/products_ProductImages"}},"TrialUrl":{"type":"string","default":"","description":"The URL where shoppers can download trial software from"},"TrialDescription":{"type":"string","default":"","description":"Descriptive text entered for trials"},"Tangible":{"type":"boolean","description":"TRUE - for physical products, FALSE - for digital products"},"TangibleDetails":{"readOnly":true,"allOf":[{"$ref":"#/components/schemas/Product_TangibleDetails"}]},"Enabled":{"type":"boolean","default":false,"description":"True/false depending on whether the products are active or disabled"},"ReviewProductUrl":{"type":"boolean","default":"","description":"The URL where the product can be reviewed before approval. Required if the \"Enabled\" property is sent as TRUE and the product needs to be reviewed by our internal teams before activation."},"ReviewAdditionalDetails":{"type":"boolean","default":"","description":"Additional information can be added to access the review of the product. Parameter is optional."},"AdditionalFields":{"type":"array","items":{"$ref":"#/components/schemas/products_AdditionalFields"}},"Translations":{"type":"array","items":{"$ref":"#/components/schemas/products_Translations"}},"PricingConfigurations":{"type":"array","items":{"$ref":"#/components/schemas/products_PricingConfigurations"}},"BundleProducts":{"readOnly":true,"type":"array","items":{"$ref":"#/components/schemas/product_BundledProducts"}},"Fulfillment":{"type":"string","enum":["NO_DELIVERY","INHERIT","BY_AVANGATE","BY_VENDOR"],"description":"Possible values BY_AVANGATE, BY_VENDOR, NO_DELIVERY"},"Prices":{"type":"array","description":"to be used when Pricing Configurations are not available for your account","items":{"$ref":"#/components/schemas/Product_PricingConfiguration_Price"}},"GeneratesSubscription":{"type":"boolean","default":false,"description":"TRUE or FALSE depending on whether you set the product to generate subscriptions or not"},"SubscriptionInformation":{"$ref":"#/components/schemas/products_SubscriptionInformation"},"FulfillmentInformation":{"$ref":"#/components/schemas/products_FulfillmentInformation"}}},"Product_ProductGroup":{"type":"object","properties":{"Code":{"type":"string","nullable":true},"Description":{"type":"string"},"Name":{"type":"string"},"TemplateName":{"type":"string"}}},"products_ShippingClass":{"type":"object","properties":{"Amount":{"type":"string","description":"The shipping costs"},"ApplyTo":{"type":"string","description":"Possible values • PRODUCT • ORDER","nullable":true},"Currency":{"type":"string","description":"The currency ISO code used for shipping costs - ISO 4217."},"Name":{"type":"string","description":"The name of the shipping class"},"Type":{"type":"string","description":"Possible values • FIXED • PERCENT"}}},"products_Platforms":{"required":["Category","IdPlatform","PlatformName"],"type":"object","properties":{"Category":{"type":"string","description":"Platform category per product configuration."},"IdPlatform":{"type":"string"},"PlatformName":{"type":"string","description":"The label of the platform per the product configuration."}}},"products_ProductImages":{"type":"object","properties":{"Default":{"type":"boolean","description":"True or False depending on whether you set the image stored at the address in the URL parameter as default or not."},"URL":{"type":"string","description":"The location of the image on the 2Checkout system."}}},"Product_TangibleDetails":{"type":"object","description":"Relevant only for tangible products; contains physical product setup information","properties":{"UnitDetails":{"type":"array","items":{"$ref":"#/components/schemas/Product_TangibleDetails_UnitDetails"}},"Fee":{"type":"array","items":{"$ref":"#/components/schemas/Product_TangibleDetails_HandlingFee"}}}},"Product_TangibleDetails_UnitDetails":{"type":"object","properties":{"Type":{"type":"string","description":"Product physical configuration type"},"Amount":{"type":"number","format":"float","description":"Product's tangible configuration type value"}}},"Product_TangibleDetails_HandlingFee":{"type":"object","properties":{"Currency":{"type":"string","description":"Currency of the handling fee"},"Amount":{"type":"number","format":"float","description":"Handling fee amount defined on the tangible product"}}},"products_AdditionalFields":{"type":"object","properties":{"Code":{"type":"string","description":"The code of the additional field assigned to a product."},"Enabled":{"type":"boolean","description":"True or false depending on whether the assigned product field is enabled or not."},"Label":{"type":"string","description":"The name of the additional field assigned to a product."},"Required":{"type":"boolean","description":"True or false depending on whether the assigned product field is required or not."},"URLParameter":{"type":"string","description":"The value of the system generated URL parameter for the product field that can be used in Buy Links."}}},"products_Translations":{"type":"object","properties":{"Description":{"type":"string","description":"Localized product short description."},"Language":{"type":"string","description":"ISO 639-1 two-letter code."},"LongDescription":{"type":"string","description":"The translated long description in the language corresponding to the Translation object."},"Name":{"type":"string","description":"Localized product name."},"SystemRequirements":{"type":"string","description":"Localized system requirements.","nullable":true},"TrialDescription":{"type":"string","nullable":true},"TrialUrl":{"type":"string","description":"The trial URL for users speaking the language corresponding to the Translation object.","nullable":true}}},"products_PricingConfigurations":{"type":"object","properties":{"BillingCountries":{"type":"array","description":"ISO codes of the countries assigned to the pricing configuration. Empty unless specific countries are assigned to a pricing configuration.","items":{"type":"string"}},"Code":{"type":"string","description":"System-generated identifier."},"Default":{"type":"boolean","description":"True for the default pricing configuration"},"DefaultCurrency":{"type":"string","description":"The ISO code of the default currency for the pricing configuration"},"Name":{"type":"string","description":"Pricing configuration name"},"PriceOptions":{"type":"array","items":{"$ref":"#/components/schemas/products_PriceOptions"}},"PriceType":{"type":"string","description":"Possible values - NET / GROSS"},"Prices":{"type":"array","items":{"$ref":"#/components/schemas/Product_PricingConfiguration_Price"}},"PricingSchema":{"type":"string","description":"DYNAMIC – With a base price or FLAT – Without a base price"}}},"products_PriceOptions":{"required":["Code","Required"],"type":"object","properties":{"Code":{"type":"string","description":"Price option identifier."},"Required":{"type":"boolean","description":"True or False depending on whether you want to make it mandatory for shoppers to select the price option during the purchase process."}}},"Product_PricingConfiguration_Price":{"required":["Amount","Currency","MaxQuantity","MinQuantity","OptionCodes"],"type":"object","properties":{"Amount":{"type":"number","description":"The price of the product."},"Currency":{"type":"string","description":"ISO code of the currency for the product price."},"MaxQuantity":{"type":"string","description":"The maximum quantity of volume discounts. Default is 99999."},"MinQuantity":{"type":"string","description":"The minimum quantity of volume discounts. Default is 1."},"OptionCodes":{"type":"array","items":{}}}},"product_BundledProducts":{"type":"object","properties":{"ProductId":{"type":"string","description":"Unique, system-generated product ID"},"ProductCode":{"type":"string","description":"Editable product code that you control"}}},"products_SubscriptionInformation":{"type":"object","properties":{"BillingCycle":{"type":"string"},"BillingCycleUnits":{"type":"string","description":"The units of the billing cycle - M for months or D for days"},"BundleRenewalManagement":{"type":"string","description":"The number of subscription billing cycle units (months or days).  Possible values - 0 (zero represents a one-time fee) Days 7 8 9 10 11 12 13 14 Months 1 2 3 6 12 15 18 24 36 (max)"},"ContractPeriod":{"$ref":"#/components/schemas/products_SubscriptionInformation_ContractPeriod"},"DeprecatedProducts":{"type":"array","items":{"type":"string","description":"Deprecated products."}},"GracePeriod":{"$ref":"#/components/schemas/products_SubscriptionInformation_GracePeriod"},"IsOneTimeFee":{"type":"boolean","description":"True or False depending on whether the subscription is evergreen or not."},"RenewalEmails":{"$ref":"#/components/schemas/products_SubscriptionInformation_RenewalEmails"},"UsageBilling":{"type":"number"}}},"products_SubscriptionInformation_ContractPeriod":{"type":"object","properties":{"Action":{"type":"string","description":"The action performed after the subscription expires. Possible values CANCEL | RESTART"},"EmailsDuringContract":{"type":"boolean","description":"True or False depending on whether you suppress renewal notification emails throughout the duration of the contract or not."},"IsUnlimited":{"type":"boolean","description":"This flag is true if the contract is for an unlimited period"},"Period":{"type":"number","description":"The contract period in months or days. -1 for unlimited contracts."},"PeriodUnits":{"type":"string","nullable":true,"description":"The contract period units - days | months"}}},"products_SubscriptionInformation_GracePeriod":{"type":"object","properties":{"IsUnlimited":{"type":"boolean","description":"TRUE or FALSE depending on whether you set the grace period to unlimited or not."},"Period":{"type":"string","description":"Number of days set for the grace period."},"PeriodUnits":{"type":"string","description":"D - Days."},"Type":{"type":"string","description":"CUSTOM – you configured grace period setting at product level. GLOBAL – global grace period settings apply."}}},"products_SubscriptionInformation_RenewalEmails":{"type":"object","properties":{"Settings":{"$ref":"#/components/schemas/products_SubscriptionInformation_RenewalEmails_Settings"},"Type":{"type":"string","description":"GLOBAL - Send emails according to the global renewal notification settings. CUSTOM – per product renewal notification settings"}}},"products_SubscriptionInformation_RenewalEmails_Settings":{"type":"object","properties":{"AutomaticRenewal":{"$ref":"#/components/schemas/products_SubscriptionInformation_RenewalEmails_Settings_AutomaticRenewal"},"ManualRenewal":{"$ref":"#/components/schemas/products_SubscriptionInformation_RenewalEmails_Settings_AutomaticRenewal"}}},"products_SubscriptionInformation_RenewalEmails_Settings_AutomaticRenewal":{"type":"object","properties":{"After15Days":{"type":"boolean","description":"True or False."},"After5Days":{"type":"boolean","description":"True or False."},"Before15Days":{"type":"boolean","description":"True or False."},"Before1Day":{"type":"boolean","description":"True or False."},"Before30Days":{"type":"boolean","description":"True or False."},"Before7Days":{"type":"boolean","description":"True or False."},"OnExpirationDate":{"type":"boolean","description":"True or False."}}},"products_FulfillmentInformation":{"type":"object","properties":{"AdditionalInformationByEmail":{"type":"string","description":"The text you set up in the Additional fulfillment information - by email area."},"AdditionalInformationEmailTranslations":{"type":"array","items":{"$ref":"#/components/schemas/products_FulfillmentInformation_AdditionalInformationEmailTranslations"}},"AdditionalThankYouPage":{"type":"string","description":"The text you set up in the Additional fulfillment information - \"Thank you\" page area."},"AdditionalThankYouPageTranslations":{"type":"array","items":{"$ref":"#/components/schemas/products_FulfillmentInformation_AdditionalInformationEmailTranslations"}},"BackupMedia":{"$ref":"#/components/schemas/products_FulfillmentInformation_BackupMedia"},"CodeList":{"$ref":"#/components/schemas/products_FulfillmentInformation_BackupMedia"},"IsBackupMedia":{"type":"boolean","description":"True or False. Depending on whether you configure the delivery of backup media or not."},"IsDisplayInPartnersCPanel":{"type":"boolean","description":"True or False. Depending on whether you share access to the product file with your channel partners or not."},"IsDownloadInsuranceService":{"type":"boolean","description":"True or False. Depending on whether you enable the Download Insurance Service or not, for a product for which you configure a product file."},"IsDownloadLink":{"type":"boolean","description":"True or False. Depending on whether you configure the delivery of a product file or not."},"IsElectronicCode":{"type":"boolean","description":"True or False. Depending on whether you configure the delivery of keys/codes for the product or not."},"IsInstantDeliveryThankYouPage":{"type":"boolean"},"IsStartAfterFulfillment":{"type":"boolean","description":"True or False. Depending on whether you want the subscription lifetime to start afther the completion of the fulfillment process or not."},"ProductFile":{"$ref":"#/components/schemas/products_FulfillmentInformation_ProductFile"}}},"products_FulfillmentInformation_AdditionalInformationEmailTranslations":{"type":"object","properties":{"Description":{"type":"string","description":"Array of localized Additional fulfillment information - \"Thank you\" page texts."},"Language":{"type":"string"},"Name":{"type":"string","nullable":true}}},"products_FulfillmentInformation_BackupMedia":{"type":"object","properties":{"Code":{"type":"string","description":"The unique code list identifier."},"Name":{"type":"string","description":"Name of the code list."},"Type":{"type":"string","description":"Code list type Static or Dynamic"}}},"products_FulfillmentInformation_ProductFile":{"type":"object","properties":{"Code":{"type":"string","description":"Unique product file identifier."},"File":{"type":"string","description":"Name of the product file."},"LastUpdate":{"type":"string","description":"YYYY-MM-DD HH-MM-SS. Date time stamp when you last updated the file."},"Name":{"type":"string","description":"Display name."},"Size":{"type":"string","description":"File size."},"Type":{"type":"string","description":"File type."},"Version":{"type":"string","description":"File version."}}},"inline_response_400":{"type":"object","properties":{"error_code":{"type":"string"},"message":{"type":"string"}}}}}}
```

## Retrieve product info by code

> Extract product information using the unique identifier you assign to products.

```json
{"openapi":"3.0.0","info":{"title":"API REST Documentation","version":"6.0-oas3"},"servers":[{"url":"https://api.2checkout.com/rest/6.0"}],"paths":{"/products/{ProductCode}/":{"get":{"tags":["Product"],"summary":"Retrieve product info by code","description":"Extract product information using the unique identifier you assign to products.","parameters":[{"name":"Accept","in":"header","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"application/json","enum":["application/json"]}},{"name":"X-Avangate-Authentication","in":"header","description":"Authentication header","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"ProductCode","in":"path","description":"The editable code that you control at product-level, not the unique, system-generated product ID","required":true,"style":"simple","explode":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductResponse"}}}},"400":{"description":"Invalid data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_400"}}}}}}}},"components":{"schemas":{"ProductResponse":{"allOf":[{"$ref":"#/components/schemas/Product"}]},"Product":{"type":"object","properties":{"AvangateId":{"type":"integer","description":"Unique, system-generated product ID (read-only)","nullable":true},"ProductCode":{"type":"string","description":"The unique product code you can define for each of your offerings"},"ExternalReference":{"type":"string","description":"External reference set when defining the product"},"ProductType":{"type":"string","enum":["REGULAR","BUNDLE"],"default":"REGULAR","description":"The type of the product (REGULAR or BUNDLE)"},"ProductName":{"type":"string","description":"The name of the product"},"ProductVersion":{"type":"string","description":"The product version number"},"ProductGroup":{"$ref":"#/components/schemas/Product_ProductGroup"},"PurchaseMultipleUnits":{"type":"boolean","description":"Customers can purchase multiple units (when set TRUE) or only one unit (when set FALSE) of this product","default":true},"ShippingClass":{"$ref":"#/components/schemas/products_ShippingClass"},"GiftOption":{"type":"boolean","default":false,"description":"True or false depending on whether the product can be gifted or not"},"ShortDescription":{"type":"string","default":"","description":"Product's short description"},"LongDescription":{"type":"string","default":"","description":"Product's long description"},"SystemRequirements":{"type":"string","default":"","description":"System requirements"},"ProductCategory":{"oneOf":[{"type":"string"},{"type":"boolean","default":false}],"description":"Product's category name"},"Platforms":{"type":"array","items":{"$ref":"#/components/schemas/products_Platforms"}},"ProductImages":{"type":"array","readOnly":true,"items":{"$ref":"#/components/schemas/products_ProductImages"}},"TrialUrl":{"type":"string","default":"","description":"The URL where shoppers can download trial software from"},"TrialDescription":{"type":"string","default":"","description":"Descriptive text entered for trials"},"Tangible":{"type":"boolean","description":"TRUE - for physical products, FALSE - for digital products"},"TangibleDetails":{"readOnly":true,"allOf":[{"$ref":"#/components/schemas/Product_TangibleDetails"}]},"Enabled":{"type":"boolean","default":false,"description":"True/false depending on whether the products are active or disabled"},"ReviewProductUrl":{"type":"boolean","default":"","description":"The URL where the product can be reviewed before approval. Required if the \"Enabled\" property is sent as TRUE and the product needs to be reviewed by our internal teams before activation."},"ReviewAdditionalDetails":{"type":"boolean","default":"","description":"Additional information can be added to access the review of the product. Parameter is optional."},"AdditionalFields":{"type":"array","items":{"$ref":"#/components/schemas/products_AdditionalFields"}},"Translations":{"type":"array","items":{"$ref":"#/components/schemas/products_Translations"}},"PricingConfigurations":{"type":"array","items":{"$ref":"#/components/schemas/products_PricingConfigurations"}},"BundleProducts":{"readOnly":true,"type":"array","items":{"$ref":"#/components/schemas/product_BundledProducts"}},"Fulfillment":{"type":"string","enum":["NO_DELIVERY","INHERIT","BY_AVANGATE","BY_VENDOR"],"description":"Possible values BY_AVANGATE, BY_VENDOR, NO_DELIVERY"},"Prices":{"type":"array","description":"to be used when Pricing Configurations are not available for your account","items":{"$ref":"#/components/schemas/Product_PricingConfiguration_Price"}},"GeneratesSubscription":{"type":"boolean","default":false,"description":"TRUE or FALSE depending on whether you set the product to generate subscriptions or not"},"SubscriptionInformation":{"$ref":"#/components/schemas/products_SubscriptionInformation"},"FulfillmentInformation":{"$ref":"#/components/schemas/products_FulfillmentInformation"}}},"Product_ProductGroup":{"type":"object","properties":{"Code":{"type":"string","nullable":true},"Description":{"type":"string"},"Name":{"type":"string"},"TemplateName":{"type":"string"}}},"products_ShippingClass":{"type":"object","properties":{"Amount":{"type":"string","description":"The shipping costs"},"ApplyTo":{"type":"string","description":"Possible values • PRODUCT • ORDER","nullable":true},"Currency":{"type":"string","description":"The currency ISO code used for shipping costs - ISO 4217."},"Name":{"type":"string","description":"The name of the shipping class"},"Type":{"type":"string","description":"Possible values • FIXED • PERCENT"}}},"products_Platforms":{"required":["Category","IdPlatform","PlatformName"],"type":"object","properties":{"Category":{"type":"string","description":"Platform category per product configuration."},"IdPlatform":{"type":"string"},"PlatformName":{"type":"string","description":"The label of the platform per the product configuration."}}},"products_ProductImages":{"type":"object","properties":{"Default":{"type":"boolean","description":"True or False depending on whether you set the image stored at the address in the URL parameter as default or not."},"URL":{"type":"string","description":"The location of the image on the 2Checkout system."}}},"Product_TangibleDetails":{"type":"object","description":"Relevant only for tangible products; contains physical product setup information","properties":{"UnitDetails":{"type":"array","items":{"$ref":"#/components/schemas/Product_TangibleDetails_UnitDetails"}},"Fee":{"type":"array","items":{"$ref":"#/components/schemas/Product_TangibleDetails_HandlingFee"}}}},"Product_TangibleDetails_UnitDetails":{"type":"object","properties":{"Type":{"type":"string","description":"Product physical configuration type"},"Amount":{"type":"number","format":"float","description":"Product's tangible configuration type value"}}},"Product_TangibleDetails_HandlingFee":{"type":"object","properties":{"Currency":{"type":"string","description":"Currency of the handling fee"},"Amount":{"type":"number","format":"float","description":"Handling fee amount defined on the tangible product"}}},"products_AdditionalFields":{"type":"object","properties":{"Code":{"type":"string","description":"The code of the additional field assigned to a product."},"Enabled":{"type":"boolean","description":"True or false depending on whether the assigned product field is enabled or not."},"Label":{"type":"string","description":"The name of the additional field assigned to a product."},"Required":{"type":"boolean","description":"True or false depending on whether the assigned product field is required or not."},"URLParameter":{"type":"string","description":"The value of the system generated URL parameter for the product field that can be used in Buy Links."}}},"products_Translations":{"type":"object","properties":{"Description":{"type":"string","description":"Localized product short description."},"Language":{"type":"string","description":"ISO 639-1 two-letter code."},"LongDescription":{"type":"string","description":"The translated long description in the language corresponding to the Translation object."},"Name":{"type":"string","description":"Localized product name."},"SystemRequirements":{"type":"string","description":"Localized system requirements.","nullable":true},"TrialDescription":{"type":"string","nullable":true},"TrialUrl":{"type":"string","description":"The trial URL for users speaking the language corresponding to the Translation object.","nullable":true}}},"products_PricingConfigurations":{"type":"object","properties":{"BillingCountries":{"type":"array","description":"ISO codes of the countries assigned to the pricing configuration. Empty unless specific countries are assigned to a pricing configuration.","items":{"type":"string"}},"Code":{"type":"string","description":"System-generated identifier."},"Default":{"type":"boolean","description":"True for the default pricing configuration"},"DefaultCurrency":{"type":"string","description":"The ISO code of the default currency for the pricing configuration"},"Name":{"type":"string","description":"Pricing configuration name"},"PriceOptions":{"type":"array","items":{"$ref":"#/components/schemas/products_PriceOptions"}},"PriceType":{"type":"string","description":"Possible values - NET / GROSS"},"Prices":{"type":"array","items":{"$ref":"#/components/schemas/Product_PricingConfiguration_Price"}},"PricingSchema":{"type":"string","description":"DYNAMIC – With a base price or FLAT – Without a base price"}}},"products_PriceOptions":{"required":["Code","Required"],"type":"object","properties":{"Code":{"type":"string","description":"Price option identifier."},"Required":{"type":"boolean","description":"True or False depending on whether you want to make it mandatory for shoppers to select the price option during the purchase process."}}},"Product_PricingConfiguration_Price":{"required":["Amount","Currency","MaxQuantity","MinQuantity","OptionCodes"],"type":"object","properties":{"Amount":{"type":"number","description":"The price of the product."},"Currency":{"type":"string","description":"ISO code of the currency for the product price."},"MaxQuantity":{"type":"string","description":"The maximum quantity of volume discounts. Default is 99999."},"MinQuantity":{"type":"string","description":"The minimum quantity of volume discounts. Default is 1."},"OptionCodes":{"type":"array","items":{}}}},"product_BundledProducts":{"type":"object","properties":{"ProductId":{"type":"string","description":"Unique, system-generated product ID"},"ProductCode":{"type":"string","description":"Editable product code that you control"}}},"products_SubscriptionInformation":{"type":"object","properties":{"BillingCycle":{"type":"string"},"BillingCycleUnits":{"type":"string","description":"The units of the billing cycle - M for months or D for days"},"BundleRenewalManagement":{"type":"string","description":"The number of subscription billing cycle units (months or days).  Possible values - 0 (zero represents a one-time fee) Days 7 8 9 10 11 12 13 14 Months 1 2 3 6 12 15 18 24 36 (max)"},"ContractPeriod":{"$ref":"#/components/schemas/products_SubscriptionInformation_ContractPeriod"},"DeprecatedProducts":{"type":"array","items":{"type":"string","description":"Deprecated products."}},"GracePeriod":{"$ref":"#/components/schemas/products_SubscriptionInformation_GracePeriod"},"IsOneTimeFee":{"type":"boolean","description":"True or False depending on whether the subscription is evergreen or not."},"RenewalEmails":{"$ref":"#/components/schemas/products_SubscriptionInformation_RenewalEmails"},"UsageBilling":{"type":"number"}}},"products_SubscriptionInformation_ContractPeriod":{"type":"object","properties":{"Action":{"type":"string","description":"The action performed after the subscription expires. Possible values CANCEL | RESTART"},"EmailsDuringContract":{"type":"boolean","description":"True or False depending on whether you suppress renewal notification emails throughout the duration of the contract or not."},"IsUnlimited":{"type":"boolean","description":"This flag is true if the contract is for an unlimited period"},"Period":{"type":"number","description":"The contract period in months or days. -1 for unlimited contracts."},"PeriodUnits":{"type":"string","nullable":true,"description":"The contract period units - days | months"}}},"products_SubscriptionInformation_GracePeriod":{"type":"object","properties":{"IsUnlimited":{"type":"boolean","description":"TRUE or FALSE depending on whether you set the grace period to unlimited or not."},"Period":{"type":"string","description":"Number of days set for the grace period."},"PeriodUnits":{"type":"string","description":"D - Days."},"Type":{"type":"string","description":"CUSTOM – you configured grace period setting at product level. GLOBAL – global grace period settings apply."}}},"products_SubscriptionInformation_RenewalEmails":{"type":"object","properties":{"Settings":{"$ref":"#/components/schemas/products_SubscriptionInformation_RenewalEmails_Settings"},"Type":{"type":"string","description":"GLOBAL - Send emails according to the global renewal notification settings. CUSTOM – per product renewal notification settings"}}},"products_SubscriptionInformation_RenewalEmails_Settings":{"type":"object","properties":{"AutomaticRenewal":{"$ref":"#/components/schemas/products_SubscriptionInformation_RenewalEmails_Settings_AutomaticRenewal"},"ManualRenewal":{"$ref":"#/components/schemas/products_SubscriptionInformation_RenewalEmails_Settings_AutomaticRenewal"}}},"products_SubscriptionInformation_RenewalEmails_Settings_AutomaticRenewal":{"type":"object","properties":{"After15Days":{"type":"boolean","description":"True or False."},"After5Days":{"type":"boolean","description":"True or False."},"Before15Days":{"type":"boolean","description":"True or False."},"Before1Day":{"type":"boolean","description":"True or False."},"Before30Days":{"type":"boolean","description":"True or False."},"Before7Days":{"type":"boolean","description":"True or False."},"OnExpirationDate":{"type":"boolean","description":"True or False."}}},"products_FulfillmentInformation":{"type":"object","properties":{"AdditionalInformationByEmail":{"type":"string","description":"The text you set up in the Additional fulfillment information - by email area."},"AdditionalInformationEmailTranslations":{"type":"array","items":{"$ref":"#/components/schemas/products_FulfillmentInformation_AdditionalInformationEmailTranslations"}},"AdditionalThankYouPage":{"type":"string","description":"The text you set up in the Additional fulfillment information - \"Thank you\" page area."},"AdditionalThankYouPageTranslations":{"type":"array","items":{"$ref":"#/components/schemas/products_FulfillmentInformation_AdditionalInformationEmailTranslations"}},"BackupMedia":{"$ref":"#/components/schemas/products_FulfillmentInformation_BackupMedia"},"CodeList":{"$ref":"#/components/schemas/products_FulfillmentInformation_BackupMedia"},"IsBackupMedia":{"type":"boolean","description":"True or False. Depending on whether you configure the delivery of backup media or not."},"IsDisplayInPartnersCPanel":{"type":"boolean","description":"True or False. Depending on whether you share access to the product file with your channel partners or not."},"IsDownloadInsuranceService":{"type":"boolean","description":"True or False. Depending on whether you enable the Download Insurance Service or not, for a product for which you configure a product file."},"IsDownloadLink":{"type":"boolean","description":"True or False. Depending on whether you configure the delivery of a product file or not."},"IsElectronicCode":{"type":"boolean","description":"True or False. Depending on whether you configure the delivery of keys/codes for the product or not."},"IsInstantDeliveryThankYouPage":{"type":"boolean"},"IsStartAfterFulfillment":{"type":"boolean","description":"True or False. Depending on whether you want the subscription lifetime to start afther the completion of the fulfillment process or not."},"ProductFile":{"$ref":"#/components/schemas/products_FulfillmentInformation_ProductFile"}}},"products_FulfillmentInformation_AdditionalInformationEmailTranslations":{"type":"object","properties":{"Description":{"type":"string","description":"Array of localized Additional fulfillment information - \"Thank you\" page texts."},"Language":{"type":"string"},"Name":{"type":"string","nullable":true}}},"products_FulfillmentInformation_BackupMedia":{"type":"object","properties":{"Code":{"type":"string","description":"The unique code list identifier."},"Name":{"type":"string","description":"Name of the code list."},"Type":{"type":"string","description":"Code list type Static or Dynamic"}}},"products_FulfillmentInformation_ProductFile":{"type":"object","properties":{"Code":{"type":"string","description":"Unique product file identifier."},"File":{"type":"string","description":"Name of the product file."},"LastUpdate":{"type":"string","description":"YYYY-MM-DD HH-MM-SS. Date time stamp when you last updated the file."},"Name":{"type":"string","description":"Display name."},"Size":{"type":"string","description":"File size."},"Type":{"type":"string","description":"File type."},"Version":{"type":"string","description":"File version."}}},"inline_response_400":{"type":"object","properties":{"error_code":{"type":"string"},"message":{"type":"string"}}}}}}
```

## Enable products

> Enable products for your account.

```json
{"openapi":"3.0.0","info":{"title":"API REST Documentation","version":"6.0-oas3"},"servers":[{"url":"https://api.2checkout.com/rest/6.0"}],"paths":{"/products/{ProductCode}/":{"post":{"tags":["Product"],"summary":"Enable products","description":"Enable products for your account.","parameters":[{"name":"X-Avangate-Authentication","in":"header","description":"Authentication header","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"Accept","in":"header","required":true,"style":"simple","explode":false,"schema":{"type":"string","enum":["application/json"]}},{"name":"ProductCode","in":"path","description":"The editable code that you control at product-level, not the unique, system-generated product ID","required":true,"style":"simple","explode":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Product"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{}}},"400":{"description":"Invalid data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_400"}}}}}}}},"components":{"schemas":{"Product":{"type":"object","properties":{"AvangateId":{"type":"integer","description":"Unique, system-generated product ID (read-only)","nullable":true},"ProductCode":{"type":"string","description":"The unique product code you can define for each of your offerings"},"ExternalReference":{"type":"string","description":"External reference set when defining the product"},"ProductType":{"type":"string","enum":["REGULAR","BUNDLE"],"default":"REGULAR","description":"The type of the product (REGULAR or BUNDLE)"},"ProductName":{"type":"string","description":"The name of the product"},"ProductVersion":{"type":"string","description":"The product version number"},"ProductGroup":{"$ref":"#/components/schemas/Product_ProductGroup"},"PurchaseMultipleUnits":{"type":"boolean","description":"Customers can purchase multiple units (when set TRUE) or only one unit (when set FALSE) of this product","default":true},"ShippingClass":{"$ref":"#/components/schemas/products_ShippingClass"},"GiftOption":{"type":"boolean","default":false,"description":"True or false depending on whether the product can be gifted or not"},"ShortDescription":{"type":"string","default":"","description":"Product's short description"},"LongDescription":{"type":"string","default":"","description":"Product's long description"},"SystemRequirements":{"type":"string","default":"","description":"System requirements"},"ProductCategory":{"oneOf":[{"type":"string"},{"type":"boolean","default":false}],"description":"Product's category name"},"Platforms":{"type":"array","items":{"$ref":"#/components/schemas/products_Platforms"}},"ProductImages":{"type":"array","readOnly":true,"items":{"$ref":"#/components/schemas/products_ProductImages"}},"TrialUrl":{"type":"string","default":"","description":"The URL where shoppers can download trial software from"},"TrialDescription":{"type":"string","default":"","description":"Descriptive text entered for trials"},"Tangible":{"type":"boolean","description":"TRUE - for physical products, FALSE - for digital products"},"TangibleDetails":{"readOnly":true,"allOf":[{"$ref":"#/components/schemas/Product_TangibleDetails"}]},"Enabled":{"type":"boolean","default":false,"description":"True/false depending on whether the products are active or disabled"},"ReviewProductUrl":{"type":"boolean","default":"","description":"The URL where the product can be reviewed before approval. Required if the \"Enabled\" property is sent as TRUE and the product needs to be reviewed by our internal teams before activation."},"ReviewAdditionalDetails":{"type":"boolean","default":"","description":"Additional information can be added to access the review of the product. Parameter is optional."},"AdditionalFields":{"type":"array","items":{"$ref":"#/components/schemas/products_AdditionalFields"}},"Translations":{"type":"array","items":{"$ref":"#/components/schemas/products_Translations"}},"PricingConfigurations":{"type":"array","items":{"$ref":"#/components/schemas/products_PricingConfigurations"}},"BundleProducts":{"readOnly":true,"type":"array","items":{"$ref":"#/components/schemas/product_BundledProducts"}},"Fulfillment":{"type":"string","enum":["NO_DELIVERY","INHERIT","BY_AVANGATE","BY_VENDOR"],"description":"Possible values BY_AVANGATE, BY_VENDOR, NO_DELIVERY"},"Prices":{"type":"array","description":"to be used when Pricing Configurations are not available for your account","items":{"$ref":"#/components/schemas/Product_PricingConfiguration_Price"}},"GeneratesSubscription":{"type":"boolean","default":false,"description":"TRUE or FALSE depending on whether you set the product to generate subscriptions or not"},"SubscriptionInformation":{"$ref":"#/components/schemas/products_SubscriptionInformation"},"FulfillmentInformation":{"$ref":"#/components/schemas/products_FulfillmentInformation"}}},"Product_ProductGroup":{"type":"object","properties":{"Code":{"type":"string","nullable":true},"Description":{"type":"string"},"Name":{"type":"string"},"TemplateName":{"type":"string"}}},"products_ShippingClass":{"type":"object","properties":{"Amount":{"type":"string","description":"The shipping costs"},"ApplyTo":{"type":"string","description":"Possible values • PRODUCT • ORDER","nullable":true},"Currency":{"type":"string","description":"The currency ISO code used for shipping costs - ISO 4217."},"Name":{"type":"string","description":"The name of the shipping class"},"Type":{"type":"string","description":"Possible values • FIXED • PERCENT"}}},"products_Platforms":{"required":["Category","IdPlatform","PlatformName"],"type":"object","properties":{"Category":{"type":"string","description":"Platform category per product configuration."},"IdPlatform":{"type":"string"},"PlatformName":{"type":"string","description":"The label of the platform per the product configuration."}}},"products_ProductImages":{"type":"object","properties":{"Default":{"type":"boolean","description":"True or False depending on whether you set the image stored at the address in the URL parameter as default or not."},"URL":{"type":"string","description":"The location of the image on the 2Checkout system."}}},"Product_TangibleDetails":{"type":"object","description":"Relevant only for tangible products; contains physical product setup information","properties":{"UnitDetails":{"type":"array","items":{"$ref":"#/components/schemas/Product_TangibleDetails_UnitDetails"}},"Fee":{"type":"array","items":{"$ref":"#/components/schemas/Product_TangibleDetails_HandlingFee"}}}},"Product_TangibleDetails_UnitDetails":{"type":"object","properties":{"Type":{"type":"string","description":"Product physical configuration type"},"Amount":{"type":"number","format":"float","description":"Product's tangible configuration type value"}}},"Product_TangibleDetails_HandlingFee":{"type":"object","properties":{"Currency":{"type":"string","description":"Currency of the handling fee"},"Amount":{"type":"number","format":"float","description":"Handling fee amount defined on the tangible product"}}},"products_AdditionalFields":{"type":"object","properties":{"Code":{"type":"string","description":"The code of the additional field assigned to a product."},"Enabled":{"type":"boolean","description":"True or false depending on whether the assigned product field is enabled or not."},"Label":{"type":"string","description":"The name of the additional field assigned to a product."},"Required":{"type":"boolean","description":"True or false depending on whether the assigned product field is required or not."},"URLParameter":{"type":"string","description":"The value of the system generated URL parameter for the product field that can be used in Buy Links."}}},"products_Translations":{"type":"object","properties":{"Description":{"type":"string","description":"Localized product short description."},"Language":{"type":"string","description":"ISO 639-1 two-letter code."},"LongDescription":{"type":"string","description":"The translated long description in the language corresponding to the Translation object."},"Name":{"type":"string","description":"Localized product name."},"SystemRequirements":{"type":"string","description":"Localized system requirements.","nullable":true},"TrialDescription":{"type":"string","nullable":true},"TrialUrl":{"type":"string","description":"The trial URL for users speaking the language corresponding to the Translation object.","nullable":true}}},"products_PricingConfigurations":{"type":"object","properties":{"BillingCountries":{"type":"array","description":"ISO codes of the countries assigned to the pricing configuration. Empty unless specific countries are assigned to a pricing configuration.","items":{"type":"string"}},"Code":{"type":"string","description":"System-generated identifier."},"Default":{"type":"boolean","description":"True for the default pricing configuration"},"DefaultCurrency":{"type":"string","description":"The ISO code of the default currency for the pricing configuration"},"Name":{"type":"string","description":"Pricing configuration name"},"PriceOptions":{"type":"array","items":{"$ref":"#/components/schemas/products_PriceOptions"}},"PriceType":{"type":"string","description":"Possible values - NET / GROSS"},"Prices":{"type":"array","items":{"$ref":"#/components/schemas/Product_PricingConfiguration_Price"}},"PricingSchema":{"type":"string","description":"DYNAMIC – With a base price or FLAT – Without a base price"}}},"products_PriceOptions":{"required":["Code","Required"],"type":"object","properties":{"Code":{"type":"string","description":"Price option identifier."},"Required":{"type":"boolean","description":"True or False depending on whether you want to make it mandatory for shoppers to select the price option during the purchase process."}}},"Product_PricingConfiguration_Price":{"required":["Amount","Currency","MaxQuantity","MinQuantity","OptionCodes"],"type":"object","properties":{"Amount":{"type":"number","description":"The price of the product."},"Currency":{"type":"string","description":"ISO code of the currency for the product price."},"MaxQuantity":{"type":"string","description":"The maximum quantity of volume discounts. Default is 99999."},"MinQuantity":{"type":"string","description":"The minimum quantity of volume discounts. Default is 1."},"OptionCodes":{"type":"array","items":{}}}},"product_BundledProducts":{"type":"object","properties":{"ProductId":{"type":"string","description":"Unique, system-generated product ID"},"ProductCode":{"type":"string","description":"Editable product code that you control"}}},"products_SubscriptionInformation":{"type":"object","properties":{"BillingCycle":{"type":"string"},"BillingCycleUnits":{"type":"string","description":"The units of the billing cycle - M for months or D for days"},"BundleRenewalManagement":{"type":"string","description":"The number of subscription billing cycle units (months or days).  Possible values - 0 (zero represents a one-time fee) Days 7 8 9 10 11 12 13 14 Months 1 2 3 6 12 15 18 24 36 (max)"},"ContractPeriod":{"$ref":"#/components/schemas/products_SubscriptionInformation_ContractPeriod"},"DeprecatedProducts":{"type":"array","items":{"type":"string","description":"Deprecated products."}},"GracePeriod":{"$ref":"#/components/schemas/products_SubscriptionInformation_GracePeriod"},"IsOneTimeFee":{"type":"boolean","description":"True or False depending on whether the subscription is evergreen or not."},"RenewalEmails":{"$ref":"#/components/schemas/products_SubscriptionInformation_RenewalEmails"},"UsageBilling":{"type":"number"}}},"products_SubscriptionInformation_ContractPeriod":{"type":"object","properties":{"Action":{"type":"string","description":"The action performed after the subscription expires. Possible values CANCEL | RESTART"},"EmailsDuringContract":{"type":"boolean","description":"True or False depending on whether you suppress renewal notification emails throughout the duration of the contract or not."},"IsUnlimited":{"type":"boolean","description":"This flag is true if the contract is for an unlimited period"},"Period":{"type":"number","description":"The contract period in months or days. -1 for unlimited contracts."},"PeriodUnits":{"type":"string","nullable":true,"description":"The contract period units - days | months"}}},"products_SubscriptionInformation_GracePeriod":{"type":"object","properties":{"IsUnlimited":{"type":"boolean","description":"TRUE or FALSE depending on whether you set the grace period to unlimited or not."},"Period":{"type":"string","description":"Number of days set for the grace period."},"PeriodUnits":{"type":"string","description":"D - Days."},"Type":{"type":"string","description":"CUSTOM – you configured grace period setting at product level. GLOBAL – global grace period settings apply."}}},"products_SubscriptionInformation_RenewalEmails":{"type":"object","properties":{"Settings":{"$ref":"#/components/schemas/products_SubscriptionInformation_RenewalEmails_Settings"},"Type":{"type":"string","description":"GLOBAL - Send emails according to the global renewal notification settings. CUSTOM – per product renewal notification settings"}}},"products_SubscriptionInformation_RenewalEmails_Settings":{"type":"object","properties":{"AutomaticRenewal":{"$ref":"#/components/schemas/products_SubscriptionInformation_RenewalEmails_Settings_AutomaticRenewal"},"ManualRenewal":{"$ref":"#/components/schemas/products_SubscriptionInformation_RenewalEmails_Settings_AutomaticRenewal"}}},"products_SubscriptionInformation_RenewalEmails_Settings_AutomaticRenewal":{"type":"object","properties":{"After15Days":{"type":"boolean","description":"True or False."},"After5Days":{"type":"boolean","description":"True or False."},"Before15Days":{"type":"boolean","description":"True or False."},"Before1Day":{"type":"boolean","description":"True or False."},"Before30Days":{"type":"boolean","description":"True or False."},"Before7Days":{"type":"boolean","description":"True or False."},"OnExpirationDate":{"type":"boolean","description":"True or False."}}},"products_FulfillmentInformation":{"type":"object","properties":{"AdditionalInformationByEmail":{"type":"string","description":"The text you set up in the Additional fulfillment information - by email area."},"AdditionalInformationEmailTranslations":{"type":"array","items":{"$ref":"#/components/schemas/products_FulfillmentInformation_AdditionalInformationEmailTranslations"}},"AdditionalThankYouPage":{"type":"string","description":"The text you set up in the Additional fulfillment information - \"Thank you\" page area."},"AdditionalThankYouPageTranslations":{"type":"array","items":{"$ref":"#/components/schemas/products_FulfillmentInformation_AdditionalInformationEmailTranslations"}},"BackupMedia":{"$ref":"#/components/schemas/products_FulfillmentInformation_BackupMedia"},"CodeList":{"$ref":"#/components/schemas/products_FulfillmentInformation_BackupMedia"},"IsBackupMedia":{"type":"boolean","description":"True or False. Depending on whether you configure the delivery of backup media or not."},"IsDisplayInPartnersCPanel":{"type":"boolean","description":"True or False. Depending on whether you share access to the product file with your channel partners or not."},"IsDownloadInsuranceService":{"type":"boolean","description":"True or False. Depending on whether you enable the Download Insurance Service or not, for a product for which you configure a product file."},"IsDownloadLink":{"type":"boolean","description":"True or False. Depending on whether you configure the delivery of a product file or not."},"IsElectronicCode":{"type":"boolean","description":"True or False. Depending on whether you configure the delivery of keys/codes for the product or not."},"IsInstantDeliveryThankYouPage":{"type":"boolean"},"IsStartAfterFulfillment":{"type":"boolean","description":"True or False. Depending on whether you want the subscription lifetime to start afther the completion of the fulfillment process or not."},"ProductFile":{"$ref":"#/components/schemas/products_FulfillmentInformation_ProductFile"}}},"products_FulfillmentInformation_AdditionalInformationEmailTranslations":{"type":"object","properties":{"Description":{"type":"string","description":"Array of localized Additional fulfillment information - \"Thank you\" page texts."},"Language":{"type":"string"},"Name":{"type":"string","nullable":true}}},"products_FulfillmentInformation_BackupMedia":{"type":"object","properties":{"Code":{"type":"string","description":"The unique code list identifier."},"Name":{"type":"string","description":"Name of the code list."},"Type":{"type":"string","description":"Code list type Static or Dynamic"}}},"products_FulfillmentInformation_ProductFile":{"type":"object","properties":{"Code":{"type":"string","description":"Unique product file identifier."},"File":{"type":"string","description":"Name of the product file."},"LastUpdate":{"type":"string","description":"YYYY-MM-DD HH-MM-SS. Date time stamp when you last updated the file."},"Name":{"type":"string","description":"Display name."},"Size":{"type":"string","description":"File size."},"Type":{"type":"string","description":"File type."},"Version":{"type":"string","description":"File version."}}},"inline_response_400":{"type":"object","properties":{"error_code":{"type":"string"},"message":{"type":"string"}}}}}}
```

## Update a product

> Update/change the settings of a product you already configured for your account.

```json
{"openapi":"3.0.0","info":{"title":"API REST Documentation","version":"6.0-oas3"},"servers":[{"url":"https://api.2checkout.com/rest/6.0"}],"paths":{"/products/{ProductCode}/":{"put":{"tags":["Product"],"summary":"Update a product","description":"Update/change the settings of a product you already configured for your account.","parameters":[{"name":"X-Avangate-Authentication","in":"header","description":"Authentication header","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"Accept","in":"header","required":true,"style":"simple","explode":false,"schema":{"type":"string","enum":["application/json"]}},{"name":"ProductCode","in":"path","description":"The editable code that you control at product-level, not the unique, system-generated product ID","required":true,"style":"simple","explode":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProductRequest"}}}},"responses":{"200":{"description":"OK"},"400":{"description":"Invalid data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_400"}}}}}}}},"components":{"schemas":{"UpdateProductRequest":{"allOf":[{"$ref":"#/components/schemas/Product"},{"type":"object","properties":{"GroupName":{"type":"string"}}}]},"Product":{"type":"object","properties":{"AvangateId":{"type":"integer","description":"Unique, system-generated product ID (read-only)","nullable":true},"ProductCode":{"type":"string","description":"The unique product code you can define for each of your offerings"},"ExternalReference":{"type":"string","description":"External reference set when defining the product"},"ProductType":{"type":"string","enum":["REGULAR","BUNDLE"],"default":"REGULAR","description":"The type of the product (REGULAR or BUNDLE)"},"ProductName":{"type":"string","description":"The name of the product"},"ProductVersion":{"type":"string","description":"The product version number"},"ProductGroup":{"$ref":"#/components/schemas/Product_ProductGroup"},"PurchaseMultipleUnits":{"type":"boolean","description":"Customers can purchase multiple units (when set TRUE) or only one unit (when set FALSE) of this product","default":true},"ShippingClass":{"$ref":"#/components/schemas/products_ShippingClass"},"GiftOption":{"type":"boolean","default":false,"description":"True or false depending on whether the product can be gifted or not"},"ShortDescription":{"type":"string","default":"","description":"Product's short description"},"LongDescription":{"type":"string","default":"","description":"Product's long description"},"SystemRequirements":{"type":"string","default":"","description":"System requirements"},"ProductCategory":{"oneOf":[{"type":"string"},{"type":"boolean","default":false}],"description":"Product's category name"},"Platforms":{"type":"array","items":{"$ref":"#/components/schemas/products_Platforms"}},"ProductImages":{"type":"array","readOnly":true,"items":{"$ref":"#/components/schemas/products_ProductImages"}},"TrialUrl":{"type":"string","default":"","description":"The URL where shoppers can download trial software from"},"TrialDescription":{"type":"string","default":"","description":"Descriptive text entered for trials"},"Tangible":{"type":"boolean","description":"TRUE - for physical products, FALSE - for digital products"},"TangibleDetails":{"readOnly":true,"allOf":[{"$ref":"#/components/schemas/Product_TangibleDetails"}]},"Enabled":{"type":"boolean","default":false,"description":"True/false depending on whether the products are active or disabled"},"ReviewProductUrl":{"type":"boolean","default":"","description":"The URL where the product can be reviewed before approval. Required if the \"Enabled\" property is sent as TRUE and the product needs to be reviewed by our internal teams before activation."},"ReviewAdditionalDetails":{"type":"boolean","default":"","description":"Additional information can be added to access the review of the product. Parameter is optional."},"AdditionalFields":{"type":"array","items":{"$ref":"#/components/schemas/products_AdditionalFields"}},"Translations":{"type":"array","items":{"$ref":"#/components/schemas/products_Translations"}},"PricingConfigurations":{"type":"array","items":{"$ref":"#/components/schemas/products_PricingConfigurations"}},"BundleProducts":{"readOnly":true,"type":"array","items":{"$ref":"#/components/schemas/product_BundledProducts"}},"Fulfillment":{"type":"string","enum":["NO_DELIVERY","INHERIT","BY_AVANGATE","BY_VENDOR"],"description":"Possible values BY_AVANGATE, BY_VENDOR, NO_DELIVERY"},"Prices":{"type":"array","description":"to be used when Pricing Configurations are not available for your account","items":{"$ref":"#/components/schemas/Product_PricingConfiguration_Price"}},"GeneratesSubscription":{"type":"boolean","default":false,"description":"TRUE or FALSE depending on whether you set the product to generate subscriptions or not"},"SubscriptionInformation":{"$ref":"#/components/schemas/products_SubscriptionInformation"},"FulfillmentInformation":{"$ref":"#/components/schemas/products_FulfillmentInformation"}}},"Product_ProductGroup":{"type":"object","properties":{"Code":{"type":"string","nullable":true},"Description":{"type":"string"},"Name":{"type":"string"},"TemplateName":{"type":"string"}}},"products_ShippingClass":{"type":"object","properties":{"Amount":{"type":"string","description":"The shipping costs"},"ApplyTo":{"type":"string","description":"Possible values • PRODUCT • ORDER","nullable":true},"Currency":{"type":"string","description":"The currency ISO code used for shipping costs - ISO 4217."},"Name":{"type":"string","description":"The name of the shipping class"},"Type":{"type":"string","description":"Possible values • FIXED • PERCENT"}}},"products_Platforms":{"required":["Category","IdPlatform","PlatformName"],"type":"object","properties":{"Category":{"type":"string","description":"Platform category per product configuration."},"IdPlatform":{"type":"string"},"PlatformName":{"type":"string","description":"The label of the platform per the product configuration."}}},"products_ProductImages":{"type":"object","properties":{"Default":{"type":"boolean","description":"True or False depending on whether you set the image stored at the address in the URL parameter as default or not."},"URL":{"type":"string","description":"The location of the image on the 2Checkout system."}}},"Product_TangibleDetails":{"type":"object","description":"Relevant only for tangible products; contains physical product setup information","properties":{"UnitDetails":{"type":"array","items":{"$ref":"#/components/schemas/Product_TangibleDetails_UnitDetails"}},"Fee":{"type":"array","items":{"$ref":"#/components/schemas/Product_TangibleDetails_HandlingFee"}}}},"Product_TangibleDetails_UnitDetails":{"type":"object","properties":{"Type":{"type":"string","description":"Product physical configuration type"},"Amount":{"type":"number","format":"float","description":"Product's tangible configuration type value"}}},"Product_TangibleDetails_HandlingFee":{"type":"object","properties":{"Currency":{"type":"string","description":"Currency of the handling fee"},"Amount":{"type":"number","format":"float","description":"Handling fee amount defined on the tangible product"}}},"products_AdditionalFields":{"type":"object","properties":{"Code":{"type":"string","description":"The code of the additional field assigned to a product."},"Enabled":{"type":"boolean","description":"True or false depending on whether the assigned product field is enabled or not."},"Label":{"type":"string","description":"The name of the additional field assigned to a product."},"Required":{"type":"boolean","description":"True or false depending on whether the assigned product field is required or not."},"URLParameter":{"type":"string","description":"The value of the system generated URL parameter for the product field that can be used in Buy Links."}}},"products_Translations":{"type":"object","properties":{"Description":{"type":"string","description":"Localized product short description."},"Language":{"type":"string","description":"ISO 639-1 two-letter code."},"LongDescription":{"type":"string","description":"The translated long description in the language corresponding to the Translation object."},"Name":{"type":"string","description":"Localized product name."},"SystemRequirements":{"type":"string","description":"Localized system requirements.","nullable":true},"TrialDescription":{"type":"string","nullable":true},"TrialUrl":{"type":"string","description":"The trial URL for users speaking the language corresponding to the Translation object.","nullable":true}}},"products_PricingConfigurations":{"type":"object","properties":{"BillingCountries":{"type":"array","description":"ISO codes of the countries assigned to the pricing configuration. Empty unless specific countries are assigned to a pricing configuration.","items":{"type":"string"}},"Code":{"type":"string","description":"System-generated identifier."},"Default":{"type":"boolean","description":"True for the default pricing configuration"},"DefaultCurrency":{"type":"string","description":"The ISO code of the default currency for the pricing configuration"},"Name":{"type":"string","description":"Pricing configuration name"},"PriceOptions":{"type":"array","items":{"$ref":"#/components/schemas/products_PriceOptions"}},"PriceType":{"type":"string","description":"Possible values - NET / GROSS"},"Prices":{"type":"array","items":{"$ref":"#/components/schemas/Product_PricingConfiguration_Price"}},"PricingSchema":{"type":"string","description":"DYNAMIC – With a base price or FLAT – Without a base price"}}},"products_PriceOptions":{"required":["Code","Required"],"type":"object","properties":{"Code":{"type":"string","description":"Price option identifier."},"Required":{"type":"boolean","description":"True or False depending on whether you want to make it mandatory for shoppers to select the price option during the purchase process."}}},"Product_PricingConfiguration_Price":{"required":["Amount","Currency","MaxQuantity","MinQuantity","OptionCodes"],"type":"object","properties":{"Amount":{"type":"number","description":"The price of the product."},"Currency":{"type":"string","description":"ISO code of the currency for the product price."},"MaxQuantity":{"type":"string","description":"The maximum quantity of volume discounts. Default is 99999."},"MinQuantity":{"type":"string","description":"The minimum quantity of volume discounts. Default is 1."},"OptionCodes":{"type":"array","items":{}}}},"product_BundledProducts":{"type":"object","properties":{"ProductId":{"type":"string","description":"Unique, system-generated product ID"},"ProductCode":{"type":"string","description":"Editable product code that you control"}}},"products_SubscriptionInformation":{"type":"object","properties":{"BillingCycle":{"type":"string"},"BillingCycleUnits":{"type":"string","description":"The units of the billing cycle - M for months or D for days"},"BundleRenewalManagement":{"type":"string","description":"The number of subscription billing cycle units (months or days).  Possible values - 0 (zero represents a one-time fee) Days 7 8 9 10 11 12 13 14 Months 1 2 3 6 12 15 18 24 36 (max)"},"ContractPeriod":{"$ref":"#/components/schemas/products_SubscriptionInformation_ContractPeriod"},"DeprecatedProducts":{"type":"array","items":{"type":"string","description":"Deprecated products."}},"GracePeriod":{"$ref":"#/components/schemas/products_SubscriptionInformation_GracePeriod"},"IsOneTimeFee":{"type":"boolean","description":"True or False depending on whether the subscription is evergreen or not."},"RenewalEmails":{"$ref":"#/components/schemas/products_SubscriptionInformation_RenewalEmails"},"UsageBilling":{"type":"number"}}},"products_SubscriptionInformation_ContractPeriod":{"type":"object","properties":{"Action":{"type":"string","description":"The action performed after the subscription expires. Possible values CANCEL | RESTART"},"EmailsDuringContract":{"type":"boolean","description":"True or False depending on whether you suppress renewal notification emails throughout the duration of the contract or not."},"IsUnlimited":{"type":"boolean","description":"This flag is true if the contract is for an unlimited period"},"Period":{"type":"number","description":"The contract period in months or days. -1 for unlimited contracts."},"PeriodUnits":{"type":"string","nullable":true,"description":"The contract period units - days | months"}}},"products_SubscriptionInformation_GracePeriod":{"type":"object","properties":{"IsUnlimited":{"type":"boolean","description":"TRUE or FALSE depending on whether you set the grace period to unlimited or not."},"Period":{"type":"string","description":"Number of days set for the grace period."},"PeriodUnits":{"type":"string","description":"D - Days."},"Type":{"type":"string","description":"CUSTOM – you configured grace period setting at product level. GLOBAL – global grace period settings apply."}}},"products_SubscriptionInformation_RenewalEmails":{"type":"object","properties":{"Settings":{"$ref":"#/components/schemas/products_SubscriptionInformation_RenewalEmails_Settings"},"Type":{"type":"string","description":"GLOBAL - Send emails according to the global renewal notification settings. CUSTOM – per product renewal notification settings"}}},"products_SubscriptionInformation_RenewalEmails_Settings":{"type":"object","properties":{"AutomaticRenewal":{"$ref":"#/components/schemas/products_SubscriptionInformation_RenewalEmails_Settings_AutomaticRenewal"},"ManualRenewal":{"$ref":"#/components/schemas/products_SubscriptionInformation_RenewalEmails_Settings_AutomaticRenewal"}}},"products_SubscriptionInformation_RenewalEmails_Settings_AutomaticRenewal":{"type":"object","properties":{"After15Days":{"type":"boolean","description":"True or False."},"After5Days":{"type":"boolean","description":"True or False."},"Before15Days":{"type":"boolean","description":"True or False."},"Before1Day":{"type":"boolean","description":"True or False."},"Before30Days":{"type":"boolean","description":"True or False."},"Before7Days":{"type":"boolean","description":"True or False."},"OnExpirationDate":{"type":"boolean","description":"True or False."}}},"products_FulfillmentInformation":{"type":"object","properties":{"AdditionalInformationByEmail":{"type":"string","description":"The text you set up in the Additional fulfillment information - by email area."},"AdditionalInformationEmailTranslations":{"type":"array","items":{"$ref":"#/components/schemas/products_FulfillmentInformation_AdditionalInformationEmailTranslations"}},"AdditionalThankYouPage":{"type":"string","description":"The text you set up in the Additional fulfillment information - \"Thank you\" page area."},"AdditionalThankYouPageTranslations":{"type":"array","items":{"$ref":"#/components/schemas/products_FulfillmentInformation_AdditionalInformationEmailTranslations"}},"BackupMedia":{"$ref":"#/components/schemas/products_FulfillmentInformation_BackupMedia"},"CodeList":{"$ref":"#/components/schemas/products_FulfillmentInformation_BackupMedia"},"IsBackupMedia":{"type":"boolean","description":"True or False. Depending on whether you configure the delivery of backup media or not."},"IsDisplayInPartnersCPanel":{"type":"boolean","description":"True or False. Depending on whether you share access to the product file with your channel partners or not."},"IsDownloadInsuranceService":{"type":"boolean","description":"True or False. Depending on whether you enable the Download Insurance Service or not, for a product for which you configure a product file."},"IsDownloadLink":{"type":"boolean","description":"True or False. Depending on whether you configure the delivery of a product file or not."},"IsElectronicCode":{"type":"boolean","description":"True or False. Depending on whether you configure the delivery of keys/codes for the product or not."},"IsInstantDeliveryThankYouPage":{"type":"boolean"},"IsStartAfterFulfillment":{"type":"boolean","description":"True or False. Depending on whether you want the subscription lifetime to start afther the completion of the fulfillment process or not."},"ProductFile":{"$ref":"#/components/schemas/products_FulfillmentInformation_ProductFile"}}},"products_FulfillmentInformation_AdditionalInformationEmailTranslations":{"type":"object","properties":{"Description":{"type":"string","description":"Array of localized Additional fulfillment information - \"Thank you\" page texts."},"Language":{"type":"string"},"Name":{"type":"string","nullable":true}}},"products_FulfillmentInformation_BackupMedia":{"type":"object","properties":{"Code":{"type":"string","description":"The unique code list identifier."},"Name":{"type":"string","description":"Name of the code list."},"Type":{"type":"string","description":"Code list type Static or Dynamic"}}},"products_FulfillmentInformation_ProductFile":{"type":"object","properties":{"Code":{"type":"string","description":"Unique product file identifier."},"File":{"type":"string","description":"Name of the product file."},"LastUpdate":{"type":"string","description":"YYYY-MM-DD HH-MM-SS. Date time stamp when you last updated the file."},"Name":{"type":"string","description":"Display name."},"Size":{"type":"string","description":"File size."},"Type":{"type":"string","description":"File type."},"Version":{"type":"string","description":"File version."}}},"inline_response_400":{"type":"object","properties":{"error_code":{"type":"string"},"message":{"type":"string"}}}}}}
```

## Disable products

> Disable products for your account.

```json
{"openapi":"3.0.0","info":{"title":"API REST Documentation","version":"6.0-oas3"},"servers":[{"url":"https://api.2checkout.com/rest/6.0"}],"paths":{"/products/{ProductCode}/":{"delete":{"tags":["Product"],"summary":"Disable products","description":"Disable products for your account.","parameters":[{"name":"X-Avangate-Authentication","in":"header","description":"Authentication header","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"ProductCode","in":"path","description":"\"The editable code that you control at product-level, not the unique, system-generated product ID\"","required":true,"style":"simple","explode":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{}}},"400":{"description":"Invalid data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_400"}}}}}}}},"components":{"schemas":{"inline_response_400":{"type":"object","properties":{"error_code":{"type":"string"},"message":{"type":"string"}}}}}}
```

## GET /products/{ProductCode}/productimages/

> Get product images list

```json
{"openapi":"3.0.0","info":{"title":"API REST Documentation","version":"6.0-oas3"},"servers":[{"url":"https://api.2checkout.com/rest/6.0"}],"paths":{"/products/{ProductCode}/productimages/":{"get":{"tags":["Product"],"summary":"Get product images list","parameters":[{"name":"Accept","in":"header","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"application/json","enum":["application/json"]}},{"name":"X-Avangate-Authentication","in":"header","description":"Authentication header","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"ProductCode","in":"path","description":"Product code","required":true,"style":"simple","explode":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returns product images list","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductImagesListResponse"}}}},"400":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"ProductImagesListResponse":{"type":"array","items":{"$ref":"#/components/schemas/ProductImageResponse"}},"ProductImageResponse":{"type":"object","properties":{"Default":{"type":"boolean"},"URL":{"type":"string"}}},"ErrorResponse":{"type":"object","properties":{"error_code":{"type":"string"},"message":{"type":"string"}}}}}}
```

## GET /products/{ProductCode}/productimages/{ImageFilter}/

> Get product image by filter

```json
{"openapi":"3.0.0","info":{"title":"API REST Documentation","version":"6.0-oas3"},"servers":[{"url":"https://api.2checkout.com/rest/6.0"}],"paths":{"/products/{ProductCode}/productimages/{ImageFilter}/":{"get":{"tags":["Product"],"summary":"Get product image by filter","parameters":[{"name":"Accept","in":"header","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"application/json","enum":["application/json","image/png","image/gif","image/jpg"]}},{"name":"X-Avangate-Authentication","in":"header","description":"Authentication header","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"ProductCode","in":"path","description":"Product code","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"ImageFilter","in":"path","description":"Image filter(numeric image index or image filename (.jpg|.png|.gif))","required":true,"style":"simple","explode":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returns product image binary string","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}},"image/png":{"schema":{"type":"string","format":"binary"}},"image/jpg":{"schema":{"type":"string","format":"binary"}},"image/gif":{"schema":{"type":"string","format":"binary"}}}},"400":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"ErrorResponse":{"type":"object","properties":{"error_code":{"type":"string"},"message":{"type":"string"}}}}}}
```

## GET /products/{ProductCode}/crosssells/

> Get crossSell campaigns by filter

```json
{"openapi":"3.0.0","info":{"title":"API REST Documentation","version":"6.0-oas3"},"servers":[{"url":"https://api.2checkout.com/rest/6.0"}],"paths":{"/products/{ProductCode}/crosssells/":{"get":{"tags":["Product"],"summary":"Get crossSell campaigns by filter","parameters":[{"name":"Accept","in":"header","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"application/json","enum":["application/json"]}},{"name":"X-Avangate-Authentication","in":"header","description":"Authentication header","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"ProductCode","in":"path","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"Enabled","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"boolean"}},{"name":"Type","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"Page","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"number"}},{"name":"Limit","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"Returns crossSell campaign collection","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CrossSellCampaignSearchResponse"}}}},"400":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CrossSellCampaignSearchError"}}}}}}}},"components":{"schemas":{"CrossSellCampaignSearchResponse":{"type":"object","properties":{"Items":{"type":"array","items":{"$ref":"#/components/schemas/CrossSellCampaign"}},"Pagination":{"$ref":"#/components/schemas/Pagination"}}},"CrossSellCampaign":{"type":"object","properties":{"IdCrossSellingCampaign":{"type":"number"},"Name":{"type":"string"},"CampaignCode":{"type":"string"},"DisplayType":{"type":"string","enum":["cart","review","finish"]},"ProductCode":{"type":"string","enum":["cart","review","finish"]},"MasterProducts":{"type":"array","items":{"type":"string"}},"Products":{"type":"array","items":{"$ref":"#/components/schemas/CrossSellProduct_Search"}}}},"CrossSellProduct_Search":{"type":"object","properties":{"ProductCode":{"type":"string"},"Discount":{"type":"integer"},"DiscountType":{"type":"string","enum":["PERCENT"]},"Type":{"type":"string","enum":["Network","Own"]},"AutoAdded":{"type":"boolean"},"DiscountedPrice":{"type":"array","items":{"$ref":"#/components/schemas/CrossSellProductDiscountedPrice"}},"BasePrice":{"type":"array","items":{"$ref":"#/components/schemas/CrossSellProductBasePrice"}}}},"CrossSellProductDiscountedPrice":{"type":"object","properties":{"Currency":{"type":"string"},"Price":{"type":"number"}}},"CrossSellProductBasePrice":{"type":"object","properties":{"Currency":{"type":"string"},"Price":{"type":"number"}}},"Pagination":{"type":"object","properties":{"Page":{"type":"integer"},"Limit":{"type":"integer"},"Count":{"type":"integer"}}},"CrossSellCampaignSearchError":{"type":"object","properties":{"error_code":{"type":"string"},"message":{"type":"string"}}}}}}
```

## POST /products/{ProductCode}/upgrade/

> Set product upgrade schema

```json
{"openapi":"3.0.0","info":{"title":"API REST Documentation","version":"6.0-oas3"},"servers":[{"url":"https://api.2checkout.com/rest/6.0"}],"paths":{"/products/{ProductCode}/upgrade/":{"post":{"tags":["Product"],"summary":"Set product upgrade schema","parameters":[{"in":"path","schema":{"type":"string"},"name":"ProductCode","description":"Unique code which represents the product","required":true}],"operationId":"setProductUpgradeSchema","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductUpgradeSchemaRequest"}}}},"responses":{"200":{"description":"Set product upgrade schema success response","content":{"application/json":{"schema":{"type":"boolean"}}}},"400":{"description":"Set product upgrade schema validation error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductUpgradeSchemaErrorResponse"}}}}}}}},"components":{"schemas":{"ProductUpgradeSchemaRequest":{"type":"object","properties":{"AllowUpgradeFrom":{"type":"array","description":"The list of the codes of products that can be upgraded to the product specified","items":{"type":"string"}},"UpgradeSettings":{"$ref":"#/components/schemas/ProductUpgradeSettings"}},"required":["AllowUpgradeFrom","UpgradeSettings"]},"ProductUpgradeSettings":{"type":"object","properties":{"PricingScheme":{"type":"integer","description":"The pricing option scheme for the upgrade: 1 (full price), 2 (price difference), 3 (prorated with most recent costs), 4 (prorated with price setup)"},"OptionPriceOperator":{"type":"string","description":"The price option operator to be used when calculating the upgrade price percentage (in not prorated pricing scheme): ADD or SUBSTRACT"},"OptionPricePercentage":{"type":"integer","description":"The percentage to be added/substracted to/from the upgrade price (in not prorated pricing scheme)"},"SubscriptionUpgradeType":{"type":"integer","description":"The subscription period option for the upgrade product: 3 (same lifetime), 1 (new subscription), 2 (prolong subscription from the upgrade date)"},"UseProductCatalogPricing":{"type":"boolean","default":false,"description":"Controls if custom prices for the upgrade product are disabled or not (default false)"},"ProrateIgnoreGracePeriod":{"type":"boolean","description":"Controls if renewal grace period is ignored at prorated upgrade price calculation (default false)"},"ApplyExistingDiscountToRenewalsAfterUpgrade":{"type":"boolean","description":"Controls if should apply an existing discount to future renewals following an upgrade (default false)"}},"required":["PricingScheme","SubscriptionUpgradeType"]},"ProductUpgradeSchemaErrorResponse":{"type":"object","properties":{"error_code":{"type":"string"},"message":{"type":"string"}}}}}}
```

## POST /promotions/priceMatrix/

> Retrieve price matrix for product

```json
[...]
